Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.s1
Class Struts1Factory

    java.lang.Object
      org.apache.struts2.s1.Struts1Factory

    public class Struts1Factory

extends java.lang.Object

Provides conversion methods between the Struts Action 1.x and XWork classes.

Constructor Summary
`Struts1Factory(com.opensymphony.xwork2.config.Configuration config)`

Method Summary
`void` | `convertErrors(org.apache.struts.action.ActionErrors errors, java.lang.Object action)`
`org.apache.struts.action.ActionForward` | `createActionForward(com.opensymphony.xwork2.config.entities.ResultConfig cfg)` Create a Struts 1.x ActionForward from an XWork ResultConfig.
`org.apache.struts.action.ActionMapping` | `createActionMapping(com.opensymphony.xwork2.config.entities.ActionConfig cfg)` Create a Struts 1.x ActionMapping from an XWork ActionConfig.
`org.apache.struts.config.ExceptionConfig` | `createExceptionConfig(com.opensymphony.xwork2.config.entities.ExceptionMappingConfig cfg)` Create a Struts 1.x ExceptionConfig from an XWork ExceptionMappingConfig.
`org.apache.struts.config.ModuleConfig` | `createModuleConfig(java.lang.String packageName)` Create a Struts 1.x ModuleConfig based on an XWork package configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Struts1Factory

    public Struts1Factory(com.opensymphony.xwork2.config.Configuration config)

Method Detail

### createModuleConfig

    public org.apache.struts.config.ModuleConfig createModuleConfig(java.lang.String packageName)

  Create a Struts 1.x ModuleConfig based on an XWork package configuration.

  Parameters:
    `packageName` - the name of the XWork package configuration to wrap. This becomes the module prefix for the newly-created ModuleConfig.
  Returns:
    a wrapper Struts 1.x ModuleConfig.

### createActionMapping

    public org.apache.struts.action.ActionMapping createActionMapping(com.opensymphony.xwork2.config.entities.ActionConfig cfg)

  Create a Struts 1.x ActionMapping from an XWork ActionConfig.

  Parameters:
    `cfg` - the XWork ActionConfig.
  Returns:
    a wrapper Struts 1.x ActionMapping.

### createActionForward

    public org.apache.struts.action.ActionForward createActionForward(com.opensymphony.xwork2.config.entities.ResultConfig cfg)

  Create a Struts 1.x ActionForward from an XWork ResultConfig.

  Parameters:
    `cfg` - the XWork ResultConfig.
  Returns:
    a wrapper Struts 1.x ActionMapping.

### createExceptionConfig

    public org.apache.struts.config.ExceptionConfig createExceptionConfig(com.opensymphony.xwork2.config.entities.ExceptionMappingConfig cfg)

  Create a Struts 1.x ExceptionConfig from an XWork ExceptionMappingConfig.

  Parameters:
    `cfg` - the XWork ExceptionMappingConfig.
  Returns:
    a wrapper Struts 1.x ExceptionConfig.

### convertErrors

    public void convertErrors(org.apache.struts.action.ActionErrors errors,
                              java.lang.Object action)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.